/*
 *
 * Copyright (C)  15-sept-2003 Jean-Yves Beaujean
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,  59
 * Temple Place - Suite 330, Boston, MA 02111-1307, USA.

 */
package jxtray.connection;

/**
 * Information about drivers
 */
public class DriverInfo 
{
	
		/** Driver name */
		private String name;
		/** Example of a JDBC URL */ 
		private String url;
		/** Complete class name : package + classe */
		private String classname;
		/** Webiste where drivers can be downloaded */
		private String website;
		/** Path where the library is located */
		private String pathfile;
		
		public DriverInfo()
		{
			name = new String();
			url = new String();
			classname = new String();
			website = new String();
			pathfile = new String();
		}

		/**
		 * @return String
		 */
		public String getClassname() 
		{
			return classname;
		}

		/**
		 * Specfy the classname.
		 * @param classname
		 */
		public void setClassname(String classname) 
		{
			this.classname = classname;
		}

		/**
		 * @return String
		 */
		public String getName() {
			return name;
		}

		/**
		 * Specify the driver name
		 * @param name
		 */
		public void setName(String name) {
			this.name = name;
		}

		/**
		 * @return String
		 */
		public String getUrl() {
			return url;
		}

		/**
		 * Spécify an JDBC example URL
		 * @param url
		 */
		public void setUrl(String url) {
			this.url = url;
		}

		/**
		 * @return String
		 */
		public String getWebsite() {
			return website;
		}

		/**
		 * Spécify the website where driver can be downloaded.
		 * @param website
		 */
		public void setWebsite(String website) {
			this.website = website;
		}
		
		/** Memory managment */
		protected void finalize() throws Throwable
		{
				name = null;
				url = null;
				website = null;
				pathfile = null;
				classname = null;				
		}

		/**
		 * Return the path file
		 * @return String
		 */
		public String getPathfile() {
			return pathfile;
		}

		/**
		 * Spécify where the file contained drivers is located
		 * @param pathfile
		 */
		public void setPathfile(String pathfile) {
			this.pathfile = pathfile;
		}



}
